
From: Pavel Machek <pavel@ucw.cz>

This should bits from -mm tree that are affected by pm_message_t
conversion.  [I'm not 100% sure I got all of them, but I certainly got all
the errors on make allyesconfig build, and most of warnings, too.  I'll go
through the buildlog tommorow and fix any remaining bits].


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/wireless/hostap/hostap_pci.c |    2 +-
 drivers/net/wireless/ipw2200.c           |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/net/wireless/hostap/hostap_pci.c~fix-pm_message_t-stuff-in-mm-tree-netdev drivers/net/wireless/hostap/hostap_pci.c
--- devel/drivers/net/wireless/hostap/hostap_pci.c~fix-pm_message_t-stuff-in-mm-tree-netdev	2005-08-30 18:41:43.000000000 -0700
+++ devel-akpm/drivers/net/wireless/hostap/hostap_pci.c	2005-08-30 18:41:43.000000000 -0700
@@ -416,7 +416,7 @@ static int prism2_pci_suspend(struct pci
 	prism2_suspend(dev);
 	pci_save_state(pdev);
 	pci_disable_device(pdev);
-	pci_set_power_state(pdev, 3);
+	pci_set_power_state(pdev, PCI_D3hot);
 
 	return 0;
 }
diff -puN drivers/net/wireless/ipw2200.c~fix-pm_message_t-stuff-in-mm-tree-netdev drivers/net/wireless/ipw2200.c
--- devel/drivers/net/wireless/ipw2200.c~fix-pm_message_t-stuff-in-mm-tree-netdev	2005-08-30 18:41:43.000000000 -0700
+++ devel-akpm/drivers/net/wireless/ipw2200.c	2005-08-30 18:41:43.000000000 -0700
@@ -7225,7 +7225,7 @@ static void ipw_pci_remove(struct pci_de
 
 
 #ifdef CONFIG_PM
-static int ipw_pci_suspend(struct pci_dev *pdev, u32 state)
+static int ipw_pci_suspend(struct pci_dev *pdev, pm_message_t state)
 {
 	struct ipw_priv *priv = pci_get_drvdata(pdev);
 	struct net_device *dev = priv->net_dev;
@@ -7240,7 +7240,7 @@ static int ipw_pci_suspend(struct pci_de
 
 	pci_save_state(pdev);
 	pci_disable_device(pdev);
-	pci_set_power_state(pdev, state);
+	pci_set_power_state(pdev, pci_choose_state(pdev, state));
 
 	return 0;
 }
_
